NVML API Reference Guide (PDF) - vR340 (older) - Last updated July 1, 2014 - Send Feedback

## 5.12. nvmlPSUInfo_t Struct Reference

## [Unit Structs]

Power usage information for an S-class unit. The power supply state is a human readable string that equals "Normal" or contains a combination of "Abnormal" plus one or more of the following:

- High voltage

- Fan failure

- Heatsink temperature

- Current limit

- Voltage below UV alarm threshold

- Low-voltage

- SI2C remote off command

- MOD_DISABLE input

- Short pin transition

### Public Variables

unsigned int current
  PSU current (A).
unsigned int power
  PSU power draw (W).
char state[256]
  The power supply state.
unsigned int voltage
  PSU voltage (V).

### Variables

unsigned int nvmlPSUInfo_t::current [inherited]

  PSU current (A).

unsigned int nvmlPSUInfo_t::power [inherited]

  PSU power draw (W).

char nvmlPSUInfo_t::state[256] [inherited]

  The power supply state.

unsigned int nvmlPSUInfo_t::voltage [inherited]

  PSU voltage (V).

NVML API Reference Guide (PDF) - vR340 (older) - Last updated July 1, 2014 - Send Feedback